Java2DUtil (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.java2d

## Class Java2DUtil

- java.lang.Object
- - org.apache.fop.render.java2d.Java2DUtil

-     public final class Java2DUtil
      extends java.lang.Object

  Rendering-related utilities for Java2D.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontInfo` | `buildDefaultJava2DBasedFontInfo(FontInfo fontInfo, FOUserAgent userAgent)` Builds a default `FontInfo` object for use with output formats using the Java2D font setup.
    `static java.awt.font.GlyphVector` | `createGlyphVector(java.lang.String text, java.awt.Graphics2D g2d, Font font, FontInfo fontInfo)` Creates an instance of `GlyphVector` that correctly handle surrogate pairs and advanced font features such as GSUB/GPOS/GDEF.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### buildDefaultJava2DBasedFontInfo

          public static FontInfo buildDefaultJava2DBasedFontInfo(FontInfo fontInfo,
                                                                 FOUserAgent userAgent)

      Builds a default `FontInfo` object for use with output formats using the Java2D font setup.
      Parameters:
        `fontInfo` - the font info object to populate
        `userAgent` - the user agent
      Returns:
        the populated font information object

    - #### createGlyphVector

          public static java.awt.font.GlyphVector createGlyphVector(java.lang.String text,
                                                                    java.awt.Graphics2D g2d,
                                                                    Font font,
                                                                    FontInfo fontInfo)

      Creates an instance of `GlyphVector` that correctly handle surrogate pairs and advanced font features such as GSUB/GPOS/GDEF.
      Parameters:
        `text` - Text to render
        `g2d` - the target Graphics2D instance
        `font` - the font instance
        `fontInfo` - the font information
      Returns:
        an instance of `GlyphVector`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.